> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.paylias.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Payment Admission Task

> Find Payment Admission Task



## OpenAPI

````yaml get /api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id}
openapi: 3.1.0
info:
  title: Paylias API
  description: >-
    Paylias is a network that enables developers to orchestrate money movement
    between different financial institutions with ease and speed. The Paylias
    API makes it simple for financial platforms to issue virtual addresses,
    manage connections and exchange value by sending and receiving money. Our
    API is based upon REST principles, returns JSON responses, and uses standard
    HTTP response codes.
  version: 0.1.0
  contact: {}
servers:
  - url: https://sandbox.api.paylias.xyz/gateway
security: []
tags:
  - name: API Authentication
    description: >-
      For server-to-server communication, Paylias supports authentication
      through JWT tokens as well as API keys. All APIs that are that deal with
      the `Organization` resource are authenticated using JWT tokens, while the
      rest of the system uses API Keys to authenticate


      To use a JWT token, set the Authorization header to `Bearer`. To use an
      API key, set a header called `X-PAYLIAS-API-KEY` and use the API key as
      the value.


      ## JWT token


      When making requests to Paylias from a browser, you can use JSON Web
      Tokens (JWT). This requires the credentials of a user that has admin
      access. The validity of JWT tokens issued by Paylias is 7 days.


      ## API key


      Longer lasting access tokens can be generated with fine grained
      permissions using the Create API key endpoint. These access tokens can be
      rotated, revoked and updated through the browser as well. API Keys are
      linked to a Namespace to allow finer access controls when dealing with API
      requests using long lived tokens. While account admins can take actions on
      API keys from the dashboard, the `X-Partner-ID` header must be set to the
      id of the Namespace for which the API key was originally issued against.
  - name: Organizations
    description: >-
      In the Paylias network, an `Organization` represents a legal entity,
      specifically a financial institution. It stands at the top of the system's
      hierarchy, overseeing sub-entities like `api keys`, `webhooks`, and
      `partners`.


      Given its financial nature, the Paylias network has certain verification
      processes to fulfill. When users join the Paylias dashboard, they
      initially receive an account in a sandboxed environment. This phase allows
      for familiarization without impacting the main system. Full access is
      granted once a member of the Paylias team validates and completes all
      necessary formalities for the user.


      For efficient management, users can either use the dashboard or APIs, with
      the latter requiring a valid JWT Token for secure interactions.
  - name: Namespace
    description: >-
      A `namespace` is a logical collection of payment addresses that are issued
      by an `organization`. Payment addresses issued inside a `namespace` will
      share a common `domain`. The domain helps identify organizations, country
      of issuance and other specifics around the brand, rewards and
      configurations.
  - name: Accounts
  - name: Validation
  - name: API Keys
    description: >-
      Longer lasting access tokens can be generated with fine grained
      permissions using the Create API key endpoint. These access tokens can be
      rotated, revoked and updated through the browser as well. API Keys are
      linked to a Namespace to allow finer access controls when dealing with API
      requests using long lived tokens. While account admins can take actions on
      API keys from the dashboard, the `X-Partner-ID` header must be set to the
      id of the Namespace for which the API key was originally issued against.
  - name: Webhooks
    description: >-
      Webhooks allow applications to communicate in real-time. When an event
      occurs, a webhook will deliver the event data to the application
      determined by the target endpoint. A webhook can be setup to be notified
      of all event types or specific ones. This allows your application to react
      to events, which is more efficient than polling an API to determine if an
      event has occurred.


      In the Paylias network, webhooks are used to communicate events related to
      Links and Payments.


      Similar to API Keys, Webhooks are created against a Namespace and thus
      require the `X-Partner-ID` header to be set in all requests


      ## Event types


      Here are the event types that we capture and send. This may not be a
      comprehensive list as we are continuing to add events to our system.


      | **Event Identifier** | **Description** |

      | --- | --- |

      | `link.create.resp` | A link request has been processed |

      | `link.propose.req` | A link request has been proposed |

      | `link_established` | A link has been established |

      | `link_update_resp` | A link has been updated |
  - name: Customers
  - name: Payments
  - name: Submissions
  - name: Admissions
  - name: Admission Tasks
  - name: Transactions
  - name: Settlements
    description: Settlement batches, partner merkle artefacts, and settlement net positions
  - name: Exceptions
paths:
  /api/v1/csp/payments/{payment_id}/admissions/{admission_id}/tasks/{task_id}:
    get:
      tags:
        - Admission Tasks
      summary: Find Payment Admission Task
      description: Find Payment Admission Task
      operationId: findPaymentAdmissionTask
      parameters:
        - $ref: '#/components/parameters/OrganizationIdHeader'
        - $ref: '#/components/parameters/PartnerIdHeader'
        - $ref: '#/components/parameters/PaymentIdParam'
        - $ref: '#/components/parameters/AdmissionIdParam'
        - $ref: '#/components/parameters/TaskIdParam'
      responses:
        '200':
          $ref: '#/components/responses/PaymentAdmissionTaskResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - apiKey: []
components:
  parameters:
    OrganizationIdHeader:
      name: x-org-id
      in: header
      required: true
      schema:
        type: string
        default: ''
      description: The Organization ID header used for authorization
    PartnerIdHeader:
      name: x-partner-id
      in: header
      required: true
      schema:
        type: string
        default: ''
      description: The Partner ID header used for authorization
    PaymentIdParam:
      name: payment_id
      in: path
      required: true
      schema:
        type: string
        example: pay_123456789
      description: The unique identifier for the payment
    AdmissionIdParam:
      name: admission_id
      in: path
      required: true
      schema:
        type: string
        example: adm_ct23b6420or249k5boag
      description: The unique identifier for the admission
    TaskIdParam:
      name: task_id
      in: path
      required: true
      schema:
        type: string
        example: task_ct23c1420or249k5bocg
      description: The unique identifier for the task
  responses:
    PaymentAdmissionTaskResponse:
      description: Response containing a payment admission task
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
        X-Csp-Version:
          $ref: '#/components/headers/CspVersionHeader'
        X-Partner-Id:
          $ref: '#/components/headers/PartnerIdHeader'
        X-Org-Id:
          $ref: '#/components/headers/OrgIdHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PaymentAdmissionTask'
          examples:
            success:
              value:
                ok: true
                data:
                  admission_id: pay_adm_cvk3rfk20or8munut3v0
                  assignee: 1
                  status: 1
                  status_reason: 1
                  created_on: 1743273406
                  modified_on: 1743273406
                  name: customer_authentication
                  organization_id: org_ct239n420or249k5bo90
                  partner_id: part_ct23b6420or249k5boag
                  payment_id: cjes76vsemvj3obsnc53
                  token: pat_cvk3rfk20or8munut400
                  workflow: customer_authentication
    BadRequest:
      description: Bad request
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
        X-Csp-Version:
          $ref: '#/components/headers/CspVersionHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/ErrorResponse'
              - type: object
                properties:
                  code:
                    example: error.bad_request
                  message:
                    example: Invalid request parameters
    Unauthorized:
      description: Unauthorized
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
        X-Csp-Version:
          $ref: '#/components/headers/CspVersionHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/ErrorResponse'
              - type: object
                properties:
                  code:
                    example: error.unauthorized
                  message:
                    example: Authentication required
    NotFound:
      description: Resource not found
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
        X-Csp-Version:
          $ref: '#/components/headers/CspVersionHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/ErrorResponse'
              - type: object
                properties:
                  code:
                    example: error.not_found
                  message:
                    example: Requested resource not found
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
    CspVersionHeader:
      schema:
        type: string
        example: gateway-csp/v1.0.0
    PartnerIdHeader:
      schema:
        type: string
        example: part_123456789
    OrgIdHeader:
      schema:
        type: string
        example: org_123456789
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        ok:
          type: boolean
          example: true
          description: Indicates if the operation was successful
        data:
          type: object
          description: Contains the response data
    PaymentAdmissionTask:
      type: object
      description: A task associated with a payment admission workflow
      properties:
        admission_id:
          type: string
          description: Identifier for the related payment admission
          example: pay_adm_cvk3rfk20or8munut3v0
        assignee:
          type: number
          enum:
            - 1
            - 2
          description: The entity assigned to complete the task
          example: 1
        status:
          type: number
          enum:
            - 1
            - 2
            - 3
          example: 1
          description: Enum representing the status of the task
        status_reason:
          type: number
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
            - 10
            - 11
            - 12
            - 13
            - 14
          example: 1
          description: Enum representing the reason for the status change
        created_on:
          type: number
          description: Timestamp when the task was created
          example: 1743273406
        modified_on:
          type: number
          description: Timestamp when the task was last updated
          example: 1743273406
        name:
          type: string
          description: Name of the task
          example: customer_authentication
        organization_id:
          type: string
          description: ID of the organization associated with the task
          example: org_ct239n420or249k5bo90
        partner_id:
          type: string
          description: ID of the partner associated with the task
          example: part_ct23b6420or249k5boag
        payment_id:
          type: string
          description: Payment ID related to this task
          example: cjes76vsemvj3obsnc53
        token:
          type: string
          description: Unique identifier for the task
          example: pat_cvk3rfk20or8munut400
        workflow:
          type: string
          description: The name of the workflow this task belongs to
          example: customer_authentication
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-PAYLIAS-API-KEY
      in: header

````